package com.hzs.bonus.bonus.service;

import com.hzs.common.domain.sale.ext.SaOrderExt;

import java.util.List;

/**
 * 奖金结算服务类
 */
public interface IBonusSettleService {

    /**
     * 根据秒结算会员奖金
     *
     * @param orderCode 订单
     * @return: List<SaOrderExt>
     */
    void calculateCumberBonusBySecond(String orderCode);

    /**
     * 计算会员奖金
     *
     * @param date           结算日期
     * @param saOrderExtList 订单
     */
    void calculateCuMemberBonus(String date, List<SaOrderExt> saOrderExtList);

    /*
     * @description: 根据订单实时计算奖衔
     **/
    void calculateCuMemberRangAwardsBySaOrder(String orderCode);

    /*
     * @description: 4-n配置修改后，重算首购奖金
     **/
    void repeatCuMemberBonusByExpand(String settleDate, List<SaOrderExt> saOrderExtList);
}
